## xrdp 0.9.1

=== tests/gtcp_proxy/Makefile ===

# := evaluates the expression just once
# = evaluates the expression each time it is used

CFLAGS := $(shell pkg-config --cflags gtk+-2.0)
CFLAGS += -O2 -Wall 
#LDFLAGS = -Wl
LIBS := $(shell pkg-config --libs gtk+-2.0)
LIBS += -ldl -lgthread-2.0

OBJS = gtcp-proxy.o gtcp.o

all: gtcp-proxy

gtcp-proxy: $(OBJS)
	gcc -Wall $(CFLAGS) $(LDFLAGS) gtcp-proxy.c gtcp.o -o gtcp-proxy $(LIBS)

gtcp.o: gtcp.c
	gcc -c gtcp.c
clean::
	-rm gtcp-proxy.o gtcp.o gtcp-proxy

=== tests/yuv2rgb/Makefile ===

#OBJS = yuv2rgb_speed.o a8r8g8b8_to_nv12_box_x86_sse2.o
OBJS = yuv2rgb_speed.o a8r8g8b8_to_nv12_box_amd64_sse2.o

CFLAGS = -Wall -O2

LDFLAGS =

all: yuv2rgb_speed

yuv2rgb_speed: $(OBJS)
	$(CC) -o yuv2rgb_speed $(OBJS) $(LDFLAGS)

clean:
	rm -f $(OBJS) yuv2rgb_speed

a8r8g8b8_to_nv12_box_x86_sse2.o: ../../module/x86/a8r8g8b8_to_nv12_box_x86_sse2.asm
	yasm -f elf32 ../../module/x86/a8r8g8b8_to_nv12_box_x86_sse2.asm

a8r8g8b8_to_nv12_box_amd64_sse2.o: ../../module/amd64/a8r8g8b8_to_nv12_box_amd64_sse2.asm
	yasm -f elf64 ../../module/amd64/a8r8g8b8_to_nv12_box_amd64_sse2.asm

=== sesman/chansrv/pulse/Makefile ===
#
# build xrdp pulseaudio modules
#

PULSE_DIR = /home/lk/pulseaudio-1.1
CFLAGS    = -Wall -O2 -I$(PULSE_DIR) -I$(PULSE_DIR)/src -DHAVE_CONFIG_H -fPIC

all: module-xrdp-sink.so module-xrdp-source.so

module-xrdp-sink.so: module-xrdp-sink.o
	$(CC) $(LDFLAGS) -shared -o module-xrdp-sink.so module-xrdp-sink.o

module-xrdp-source.so: module-xrdp-source.o
	$(CC) $(LDFLAGS) -shared -o module-xrdp-source.so module-xrdp-source.o

clean:
	rm -f module-xrdp-sink.o module-xrdp-sink.so module-xrdp-source.o module-xrdp-source.so

=== xorg/X11R7.6/rdp/Makefile ===
# X11RDPBASE is the top-level X11rdp install directory
ifeq ($(X11RDPBASE),)
$(error X11RDPBASE needs to be set)
endif

BINBASE = $(X11RDPBASE)/bin
INCBASE = $(X11RDPBASE)/include
LIBBASE = $(X11RDPBASE)/lib

INSTALL = /usr/bin/install -c
XSRCBASE = ../build_dir/xorg-server-1.9.3

OBJS = rdpmain.o rdpdraw.o rdpinput.o rdpmisc.o rdpup.o rdprandr.o \
rdpCopyArea.o rdpPolyFillRect.o rdpPutImage.o rdpPolyRectangle.o \
rdpPolylines.o rdpPolySegment.o rdpFillSpans.o rdpSetSpans.o \
rdpCopyPlane.o rdpPolyPoint.o rdpPolyArc.o rdpFillPolygon.o \
rdpPolyFillArc.o rdpPolyText8.o rdpPolyText16.o \
rdpImageText8.o rdpImageText16.o rdpImageGlyphBlt.o rdpPolyGlyphBlt.o \
rdpPushPixels.o rdpxv.o rdpglyph.o rdpComposite.o \
rdpkeyboard.o rdpkeyboardevdev.o rdpkeyboardbase.o \
miinitext.o \
fbcmap_mi.o

# in Xorg 7.1, fbcmap.c was used but now it looks like fbcmap_mi.c should
# be used
#fbcmap_mi.o
#fbcmap.o

LIBS = \
	$(XSRCBASE)/dix/.libs/libmain.a \
	librdp.a \
	$(XSRCBASE)/dbe/.libs/libdbe.a \
	$(XSRCBASE)/dix/.libs/libdix.a \
	$(XSRCBASE)/fb/.libs/libfb.a \
	$(XSRCBASE)/mi/.libs/libmi.a \
	$(XSRCBASE)/randr/.libs/librandr.a \
	$(XSRCBASE)/render/.libs/librender.a \
	$(XSRCBASE)/os/.libs/libos.a \
	$(XSRCBASE)/record/.libs/librecord.a \
	$(XSRCBASE)/xkb/.libs/libxkb.a \
	$(XSRCBASE)/Xext/.libs/libXext.a \
	$(XSRCBASE)/Xi/.libs/libXi.a \
	$(XSRCBASE)/glx/.libs/libglx.a \
	$(XSRCBASE)/xfixes/.libs/libxfixes.a \
	$(XSRCBASE)/damageext/.libs/libdamageext.a \
	$(XSRCBASE)/miext/damage/.libs/libdamage.a

LLIBS = -Wl,-rpath=$(LIBBASE) -lfreetype -lz -lm -lXfont -lXau \
	-lXdmcp -lpixman-1 -lrt -ldl -lcrypto -lGL -lXdamage

CFLAGS = -g -O2 -Wall -fno-strength-reduce \
	-I../../include \
	-I../../cfb \
	-I../../mfb \
	-I../../mi \
	-I$(INCBASE) \
	-I$(INCBASE)/X11 \
	-I$(INCBASE)/X11/fonts \
	-I$(INCBASE)/X11/extensions \
	-I$(INCBASE)/xorg \
	-I$(INCBASE)/pixman-1 \
	-I../../os \
	-I../../render \
	-I../xfree86/common \
	-I../xfree86/os-support \
	-I../../../common \
	-D_POSIX_C_SOURCE=199309L -D_SVID_SOURCE -D_REENTRANT \
	-DGLX_USE_MESA -DXRECORD -D_GNU_SOURCE -DXAPPGROUP \
	-DTOGCUP -DSINGLEDEPTH -DXFree86Server \
	-DDBE -DEVI -DXVMC -DFONTCACHE -DGCCUSESGAS -DSTATIC_COLOR \
	-DAVOID_GLYPHBLT -DFUNCPROTO=15 -DNARROWPROTO -DDDXOSFATALERROR \
	-DPART_NET -DDDXTIME -D_HAVE_XALLOC_DECLS \
	-DDAMAGE \
	-DXFIXES \
	-DSMART_SCHEDULE -DSERVER_LOCK -DGLXEXT -DSHAPE -DRENDER -DRANDR \
	-DBIGREQS -D_POSIX_SOURCE -D_BSD_SOURCE -DSCREENSAVER \
	-DXCMISC -DXTEST -DXTRAP -DXV -DXSYNC -DMITMISC -DPANORAMIX \
	-DDPMSExtension -DXvExtension -DXvMCExtension -DXResExtension \
	-DMITSHM -DPIXPRIV -DNDEBUG -DDDXOSINIT -DXKB -DXINPUT

#-DDAMAGE

# -pedantic
# -DXCSECURITY -DXF86BIGFONT

# these are defined in xorg-server.h
# -D_XOPEN_SOURCE=500L
# -DX_BYTE_ORDER=X_LITTLE_ENDIAN
# -DSMART_SCHEDULE -DSERVER_LOCK -DGLXEXT -DSHAPE -DRENDER -DRANDR
# -DBIGREQS -D_POSIX_SOURCE -D_BSD_SOURCE -DSCREENSAVER -DXF86BIGFONT
# -DXCMISC -DXTEST -DXTRAP -DXV -DXSYNC -DMITMISC -DPANORAMIX
# -DDPMSExtension -DXvExtension -DXvMCExtension -DXResExtension
# -DMITSHM -DPIXPRIV -DNDEBUG -DDDXOSINIT

# these are not needed I think
# -Dlinux -D__i386__

LDFLAGS = -L$(LIBBASE) -Wl,-rpath,$(LIBBASE)

all: X11rdp

X11rdp: $(OBJS)
	$(AR) rvu librdp.a $(OBJS)
	ranlib librdp.a
	$(CC) $(LDFLAGS) -o X11rdp $(LIBS) $(LLIBS)

clean:
	rm -f $(OBJS) librdp.a

miinitext.o: ../build_dir/xorg-server-1.9.3/mi/miinitext.c Makefile
	$(CC) $(CFLAGS) -I../build_dir/xorg-server-1.9.3/Xext -c ../build_dir/xorg-server-1.9.3/mi/miinitext.c

fbcmap.o: ../build_dir/xorg-server-1.9.3/fb/fbcmap.c
	$(CC) $(CFLAGS) -c ../build_dir/xorg-server-1.9.3/fb/fbcmap.c

fbcmap_mi.o: ../build_dir/xorg-server-1.9.3/fb/fbcmap_mi.c
	$(CC) $(CFLAGS) -c ../build_dir/xorg-server-1.9.3/fb/fbcmap_mi.c

install: all
	$(INSTALL) X11rdp $(BINBASE)/X11rdp

=== xorg/tests/xdemo/Makefile ===

CFLAGS = -Werror -Wall

all: xdemo 

xdemo: xdemo.c bmp_parser.c
	gcc $(CFLAGS) xdemo.c bmp_parser.c -o xdemo -lX11

.PHONY clean: 
	rm -f *.o xdemo

=== debian/changelog ===
xrdp (0.9.1-9+deb9u3) stretch; urgency=high

  * Fix patch for CVE-2017-16927. (Closes: #884702)
    + Off-by-one mistake could crash xrdp in some cases.

 -- Dominik George <natureshadow@debian.org>  Thu, 12 Apr 2018 23:43:25 +0200

xrdp (0.9.1-9+deb9u2) stretch; urgency=medium

  * Fix CVE-2017-16927. (Closes: #882463)
  * Fix high CPU load on ssl_tls_accept. (Closes: #884453)

 -- Dominik George <nik@naturalnet.de>  Fri, 15 Dec 2017 19:28:28 +0100

xrdp (0.9.1-9+deb9u1) stretch; urgency=medium

  * Fix high CPU load on SSL shutdown. (Closes: #876976)
    + xrdp could in some situations cause permanent high load on a
      system if an SSL shutdown got into an endless loop.

 -- Dominik George <nik@naturalnet.de>  Wed, 18 Oct 2017 11:56:31 +0200

xrdp (0.9.1-9) unstable; urgency=high

  * Revisit incomplete fix for CVE-2017-6967. (Closes: #858143)

 -- Dominik George <nik@naturalnet.de>  Thu, 04 May 2017 18:59:10 +0200

xrdp (0.9.1-8) unstable; urgency=medium

  * Fix CVE-2017-6967. (Closes: #858143, #855536)

 -- Dominik George <nik@naturalnet.de>  Mon, 24 Apr 2017 20:14:36 +0200

xrdp (0.9.1-7) unstable; urgency=medium

  * Fix RFX with large tile sets, e.g. full HD displays. (Closes: #855387)

 -- Dominik George <nik@naturalnet.de>  Sat, 18 Feb 2017 16:46:17 +0100

xrdp (0.9.1-6) unstable; urgency=medium

  * Fix japanese keyboard detection. (Closes: #854847)

 -- Dominik George <nik@naturalnet.de>  Mon, 13 Feb 2017 21:09:43 +0100

xrdp (0.9.1-5) unstable; urgency=medium

  * Ensure creation of /run directory. (Closes: #854548)

 -- Dominik George <nik@naturalnet.de>  Thu, 09 Feb 2017 12:47:36 +0100

xrdp (0.9.1-4) unstable; urgency=high

  [ Thorsten Glaser ]
  * Fix up PAM conffile handling for upgrades from jessie{,-backports}.
  * Fix build on non-linux architectures. (Closes: #831663)
    + Don’t use FUSE on the Hurd, it does not support enough of it yet.
    + Add GNU/kFreeBSD support to NASM format detection autoconfigury.
  * Remove patch to make stack not executable in *.asm files; upstrem
    fixed this already.
  * Enable Large File Support, as pointed out by lintian.
  * Disable assembly code on any-i386 for now, it must be ported
    (partially rewritten) for PIC support.

  [ Dominik George ]
  * Update/minimise systemd service file patch.
    + Also moves sockpath related part to sockpath patch.
  * Switch back to compat level 10.

 -- Dominik George <nik@naturalnet.de>  Wed, 25 Jan 2017 18:10:11 +0100

xrdp (0.9.1-3) unstable; urgency=medium

  * Fix up last changelog entry.
  * Update bug-control.
    + Report status of xserver-xorg-legacy.

 -- Dominik George <nik@naturalnet.de>  Sun, 15 Jan 2017 00:30:44 +0100

xrdp (0.9.1-2) unstable; urgency=medium

  * Do not ship initial cert/key generated during build.
     + Makes build reproducible.

 -- Dominik George <nik@naturalnet.de>  Sun, 01 Jan 2017 11:58:02 +0100

xrdp (0.9.1-1) unstable; urgency=medium

  [ Dominik George ]

  * New upstream release.
    + Now has an upstream changelog.
    + Enables xauth cookies to prevent unauthorised X server access.
    + Enables libpainter for clients not supporting drawing orders.
      + Fixes MS RDP client on Android and others.
  * Replaced debian/rules get-orig-source with uscan.
  * Re-enabled watch file.
  * Turned into MUT package.
    + Incorporates xorgxrdp 0.2.0.
  * Update list of keymap conffiles to be removed on upgrade.
    (Closes: #845701, #847844)
  * Move back to compat level 9 to allow easier backporting.
  * Update VCS fields due to pkg-remote repo space restructuring.

  [ Thorsten Glaser ]

  * xrdp Recommends fuse, so that remote drive sharing actually works.

 -- Dominik George <nik@naturalnet.de>  Fri, 23 Dec 2016 11:59:32 +0100

=== debian/control ===
Source: xrdp
Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
Uploaders:
 Dominik George <nik@naturalnet.de>,
 Andreas Tille <tille@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Thorsten Glaser <tg@mirbsd.de>,
Section: net
Priority: optional
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1.6),
 debhelper (>= 10),
 libfuse-dev [!hurd-any],
 libjpeg-dev,
 libopus-dev,
 libpam0g-dev,
 libssl-dev,
 libtool,
 libx11-dev,
 libxfixes-dev,
 libxrandr-dev,
# for now; see debian/rules for details
 nasm [amd64 kfreebsd-amd64],
 openssl,
 pkg-config,
 systemd [linux-any],
 x11-utils,
 xserver-xorg-core,
 xserver-xorg-dev,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/xrdp.git
Vcs-Git: https://anonscm.debian.org/git/pkg-remote/xrdp.git
Homepage: http://xrdp.sourceforge.net

Package: xrdp
Architecture: any
Depends:
 adduser,
 lsb-base (>= 3.0-6),
 ssl-cert,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fuse [!hurd-any],
 xorgxrdp,
Suggests:
 guacamole,
Description: Remote Desktop Protocol (RDP) server
 xrdp offers a graphical login to a remote client using
 RDP (the Remote Desktop Protocol). xrdp can connect to
 a locally created X.org session with the xorgxrdp drivers,
 to a VNC X11 server, and forward to another RDP server.
 .
 xrdp accepts connections from freerdp, rdesktop, and the
 built-in terminal server / remote desktop clients of
 Microsoft Windows operating systems.
 In the xorgxrdp (which replaces X11RDP) and VNC modes,
 it provides a fully functional Linux terminal server,
 offering an X-Window desktop to the user. In the RDP
 or VNC forwarding mode, any sort of desktop can be used.

Package: xorgxrdp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${xdriver:Depends},
Recommends:
 xorg,
Provides:
 xorg-driver-input,
 xorg-driver-video,
Description: Remote Desktop Protocol (RDP) modules for X.org
 xorgxrdp is a set of drivers (screen device, keyboard, and mouse)
 for X.org enabling use through an RDP session with xrdp. For full
 operation, most standard X11 fonts and tools need to be installed;
 the Recommended xorg metapackage is a superset of what’s actually
 needed but will do.

=== debian/rules ===
#!/usr/bin/make -f

DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
DEB_BUILD_MAINT_OPTIONS=hardening=+all

DPKG_EXPORT_BUILDFLAGS:=1
include /usr/share/dpkg/default.mk

export PKG_CONFIG_PATH=${CURDIR}/pkgconfig

# this is precisely what dh_auto_configure does
CONFIGURE_ARGS:=	--build=${DEB_BUILD_GNU_TYPE} \
			--prefix=/usr \
			--includedir=\$${prefix}/include \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--localstatedir=/var \
			--disable-silent-rules \
			--libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
			--libexecdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
			--disable-maintainer-mode \
			--disable-dependency-tracking

ifneq (${DEB_BUILD_GNU_TYPE},${DEB_HOST_GNU_TYPE})
CONFIGURE_ARGS+=	--host=${DEB_HOST_GNU_TYPE}
endif

ifeq (i386,${DEB_HOST_ARCH_CPU})
# The following files must be rewritten to use PIC if -DPIC is passed:
# - librfxcodec/src/x86/rfxcodec_encode_dwt_shift_x86_sse2.asm
# - librfxcodec/src/x86/rfxcodec_encode_dwt_shift_x86_sse41.asm
# - xorgxrdp/module/x86/a8r8g8b8_to_a8b8g8r8_box_x86_sse2.asm
# - xorgxrdp/module/x86/a8r8g8b8_to_nv12_box_x86_sse2.asm
# - xorgxrdp/module/x86/i420_to_rgb32_x86_sse2.asm
# - xorgxrdp/module/x86/uyvy_to_rgb32_x86_sse2.asm
# - xorgxrdp/module/x86/yuy2_to_rgb32_x86_sse2.asm
# - xorgxrdp/module/x86/yv12_to_rgb32_x86_sse2.asm
# Documentation: http://www.nasm.us/doc/nasmdoc9.html#section-9.2
# Unfortunately, this requires reserving the EBX register, which
# is used extensively by this code; to avoid crashes or security
# issues in xrdp, we disable the code on any-i386 for stretch and
# will revisit this later and with upstream; amd64 isn’t affected
# (as it uses RIP-relative addressing), x32 and other architectures
# don’t use the assembly code at all.
# When fixed, change Build-Depends’ nasm component to:
# nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
CONFIGURE_ARGS+=	--without-simd
endif

ifeq (x32,${DEB_HOST_ARCH})
# autodetection fails on x32 (wrongly recognised as amd64)
CONFIGURE_ARGS+=	--without-simd
endif

ifeq (hurd,${DEB_HOST_ARCH_OS})
# fuse_lowlevel.h is not yet usable
CONFIGURE_ARGS+=	--disable-fuse
endif

%:
	dh $@

override_dh_auto_configure:
	./bootstrap
	cd xorgxrdp && ./bootstrap
	cd librfxcodec && ./bootstrap
	./configure \
	    --enable-ipv6 \
	    --enable-jpeg \
	    --enable-fuse \
	    --enable-rfxcodec \
	    --enable-opus \
	    --enable-painter \
	    ${CONFIGURE_ARGS}
	cd xorgxrdp && ./configure \
	    ${CONFIGURE_ARGS}
	cd librfxcodec && ./configure \
	    --disable-shared \
	    --enable-static \
	    ${CONFIGURE_ARGS}
	cd libpainter && ./configure \
	    --disable-shared \
	    --enable-static \
	    ${CONFIGURE_ARGS}
	find . -name Makefile -print0 | \
	    xargs -0 perl -pi -e 's!XRDP_PID_PATH.*?/run!$$&/xrdp!g' --

override_dh_auto_install:
	dh_auto_install -v --destdir=debian/xrdp
	# remove unused/confusing files
	rm -f debian/xrdp/etc/xrdp/xrdp.sh
	rm -f debian/xrdp/etc/xrdp/startwm.sh
	rm -f debian/xrdp/etc/xrdp/rsakeys.ini
	rm -f debian/xrdp/usr/bin/rfxcodectest
	rm -f debian/xrdp/etc/xrdp/cert.pem
	rm -f debian/xrdp/etc/xrdp/key.pem
	# Policy
	find debian/xrdp/ -name \*.la -print0 | xargs -0 rm -f --
	find debian/xrdp/usr/lib/ -name \*.a -print0 | \
	    xargs -0 strip --strip-debug -R .comment --
	# package split
	mkdir -p debian/xorgxrdp/etc debian/xorgxrdp/usr/lib
	mv debian/xrdp/etc/X11 debian/xorgxrdp/etc/
	mv debian/xrdp/usr/lib/xorg debian/xorgxrdp/usr/lib/

override_dh_installchangelogs:
	dh_installchangelogs -pxrdp -- NEWS.md
	dh_installchangelogs --remaining-packages

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade

override_dh_shlibdeps:
	# That's a plugin, use appropriate warning level:
	dh_shlibdeps -pxorgxrdp -- --warnings=6
	# Use default levels for everything else:
	dh_shlibdeps --remaining-packages

override_dh_gencontrol:
	echo >>debian/xorgxrdp.substvars "xdriver:Depends=$$( \
	    (cd /usr/share/xserver-xorg && cat videodrvdep xinputdep) | \
	    sed 's/, /\n/g' | sort -u | \
	    perl -0e 'print join(", ", split(/\n/, <>));')"
	dh_gencontrol

override_dh_clean:
	dh_clean
	chmod +x xorgxrdp/tests/xorg-test-run.sh

## xrdp 0.9.4

=== debian/changelog ===
xrdp (0.9.4-3) unstable; urgency=high

  * Fix regression introduced by last upload. (Closes: #884702)
    + Upstream's patch for CVE-2017-16927 turned out to be broken.
      Thanks to Willem Mulder for reporting.

 -- Dominik George <nik@naturalnet.de>  Wed, 20 Dec 2017 19:40:16 +0100

xrdp (0.9.4-2) unstable; urgency=high

  [ Dominik George ]
  * Fix typo in previous changelog.
  * Fix CVE-2017-16927. (Closes: #882463)
  * Bump Standards-Version.
    + No changes needed.

  [ Thorsten Glaser ]
  * Place missing log_end_msg in init script.
  * Run libpainter/bootstrap as well.
  * Re-enable SIMD on any-i386.
  * Cherry-pick missing parts from experimental branch.
  * Fix another typo in previous changelog.

 -- Dominik George <nik@naturalnet.de>  Fri, 15 Dec 2017 02:10:18 +0100

xrdp (0.9.4-1) unstable; urgency=medium

  * New upstream version. (Closes: #876976, #858098, #864230, #867494)
    + Includes xorgxrdp 0.2.4.
    + Refreshed patches.
    + Updated d/copyright.
    + Japanese keyboard patch is not needed anymore, applied upstream.
    + High resolution RFX patch is not needed anymore, applied upstream.
    + FreeBSD patch is not needed anymore, applied upstream.
    + Socket path patch is not needed anymore, made configurable upstream.
    + CVE-2017-6967 patch is not needed anymore, applied upstream.
  * Update to policy version 4.1.1 (no changes needed).

 -- Dominik George <nik@naturalnet.de>  Mon, 09 Oct 2017 19:00:08 +0200

=== debian/control ===
--- 
+++ 
@@ -20,15 +20,14 @@
  libx11-dev,
  libxfixes-dev,
  libxrandr-dev,
-# for now; see debian/rules for details
- nasm [amd64 kfreebsd-amd64],
+ nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
  openssl,
  pkg-config,
  systemd [linux-any],
  x11-utils,
  xserver-xorg-core,
  xserver-xorg-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/xrdp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-remote/xrdp.git
 Homepage: http://xrdp.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -20,32 +20,11 @@
 			--libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
 			--libexecdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
 			--disable-maintainer-mode \
-			--disable-dependency-tracking
+			--disable-dependency-tracking \
+			--with-socketdir=/var/run/xrdp/sockdir
 
 ifneq (${DEB_BUILD_GNU_TYPE},${DEB_HOST_GNU_TYPE})
 CONFIGURE_ARGS+=	--host=${DEB_HOST_GNU_TYPE}
-endif
-
-ifeq (i386,${DEB_HOST_ARCH_CPU})
-# The following files must be rewritten to use PIC if -DPIC is passed:
-# - librfxcodec/src/x86/rfxcodec_encode_dwt_shift_x86_sse2.asm
-# - librfxcodec/src/x86/rfxcodec_encode_dwt_shift_x86_sse41.asm
-# - xorgxrdp/module/x86/a8r8g8b8_to_a8b8g8r8_box_x86_sse2.asm
-# - xorgxrdp/module/x86/a8r8g8b8_to_nv12_box_x86_sse2.asm
-# - xorgxrdp/module/x86/i420_to_rgb32_x86_sse2.asm
-# - xorgxrdp/module/x86/uyvy_to_rgb32_x86_sse2.asm
-# - xorgxrdp/module/x86/yuy2_to_rgb32_x86_sse2.asm
-# - xorgxrdp/module/x86/yv12_to_rgb32_x86_sse2.asm
-# Documentation: http://www.nasm.us/doc/nasmdoc9.html#section-9.2
-# Unfortunately, this requires reserving the EBX register, which
-# is used extensively by this code; to avoid crashes or security
-# issues in xrdp, we disable the code on any-i386 for stretch and
-# will revisit this later and with upstream; amd64 isn’t affected
-# (as it uses RIP-relative addressing), x32 and other architectures
-# don’t use the assembly code at all.
-# When fixed, change Build-Depends’ nasm component to:
-# nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
-CONFIGURE_ARGS+=	--without-simd
 endif
 
 ifeq (x32,${DEB_HOST_ARCH})
@@ -65,6 +44,7 @@
 	./bootstrap
 	cd xorgxrdp && ./bootstrap
 	cd librfxcodec && ./bootstrap
+	cd libpainter && ./bootstrap
 	./configure \
 	    --enable-ipv6 \
 	    --enable-jpeg \

## xrdp 0.9.5

=== tests/tcp_proxy/Makefile ===

CFLAGS = -O2 -Wall
LDFLAGS =
OBJS = main.o
LIBS = -ldl

all: tcp_proxy

tcp_proxy: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o tcp_proxy $(OBJS) $(LIBS)

.PHONY clean:
	rm -f $(OBJS) tcp_proxy

=== xorg/X11R7.6/rdp/Makefile ===
--- 
+++ 
@@ -49,20 +49,12 @@
 	-lXdmcp -lpixman-1 -lrt -ldl -lcrypto -lGL -lXdamage
 
 CFLAGS = -g -O2 -Wall -fno-strength-reduce \
-	-I../../include \
-	-I../../cfb \
-	-I../../mfb \
-	-I../../mi \
 	-I$(INCBASE) \
 	-I$(INCBASE)/X11 \
 	-I$(INCBASE)/X11/fonts \
 	-I$(INCBASE)/X11/extensions \
 	-I$(INCBASE)/xorg \
 	-I$(INCBASE)/pixman-1 \
-	-I../../os \
-	-I../../render \
-	-I../xfree86/common \
-	-I../xfree86/os-support \
 	-I../../../common \
 	-D_POSIX_C_SOURCE=199309L -D_SVID_SOURCE -D_REENTRANT \
 	-DGLX_USE_MESA -DXRECORD -D_GNU_SOURCE -DXAPPGROUP \

=== debian/changelog ===
xrdp (0.9.5-2) unstable; urgency=medium

  [ Thorsten Glaser ]

  * Re-enable asm code for i386, the fixed upstream is included now.

  [ Dominik George ]

  * Enable vsock.
    + Requested by Craig White and Justin Terry from Microsoft.
  * Fix lintian issues.
    + Use HTTPS copyright format URL.
    + Move source{.,/}lintian-overrides.
    + Replace dh_systemd_start with dh_installsystemd call.

 -- Dominik George <nik@naturalnet.de>  Fri, 16 Feb 2018 16:42:50 +0100

xrdp (0.9.5-1) unstable; urgency=medium

  * New upstream version.
    + Remove patches applied upstream.
    + Refresh other patches.
    + Update debian/copyright.
  * Call X.org directly and remove notes about the wrapper.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Bump compat level to 11, no changes needed.

 -- Dominik George <nik@naturalnet.de>  Sun, 07 Jan 2018 22:24:28 +0100

xrdp (0.9.4-5) unstable; urgency=medium

  [ Dominik George ]
  * Add package to build PulseAudio modules.
    + Thanks to Wolfgang Schweer for the initial idea!
  * Update README.Debian.

  [ Thorsten Glaser ]
  * Fix typos.
  * Upload separately from the previous version targetting NEW.

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 22 Dec 2017 17:09:14 +0100

xrdp (0.9.4-4) unstable; urgency=high

  [ Dominik George ]
  * Fix (possibly exploitable) high CPU load in ssl_tls_accept.
    (Closes: #884453)
  * Source /etc/profile in startwm. (Closes: #882246)
    + Thanks to Wolfgang Schweer!
  * Update README.Debian.
  * Update bug report instructions.

  [ Thorsten Glaser ]
  * Allow user profile to override /etc/default/locale.
  * Upload to unstable, next upload is likely to idle in NEW for a bit.
  * Disable asm code for i386: xorgxrdp v0.2.4 does not contain the fix.

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 22 Dec 2017 17:06:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends:
  autoconf (>= 2.59),
  automake (>= 1.6),
- debhelper (>= 10),
+ debhelper (>= 11~),
  libfuse-dev [!hurd-any],
  libjpeg-dev,
  libopus-dev,
@@ -27,7 +27,7 @@
  x11-utils,
  xserver-xorg-core,
  xserver-xorg-dev,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/xrdp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-remote/xrdp.git
 Homepage: http://xrdp.sourceforge.net
@@ -45,6 +45,7 @@
  xorgxrdp,
 Suggests:
  guacamole,
+ xrdp-pulseaudio-installer
 Description: Remote Desktop Protocol (RDP) server
  xrdp offers a graphical login to a remote client using
  RDP (the Remote Desktop Protocol). xrdp can connect to
@@ -76,3 +77,52 @@
  operation, most standard X11 fonts and tools need to be installed;
  the Recommended xorg metapackage is a superset of what’s actually
  needed but will do.
+
+Package: xrdp-pulseaudio-installer
+Architecture: any
+Depends:
+ ${misc:Depends},
+ build-essential,
+ devscripts,
+ pulseaudio,
+# These must match the build dependencies of the pulseaudio package
+# They have been stable for at least two years, though
+ intltool,
+ libasound2-dev (>= 1.0.24) [linux-any],
+ libasyncns-dev,
+ libavahi-client-dev,
+ libbluetooth-dev (>= 4.99) [linux-any] <!stage1>,
+ libsbc-dev [linux-any],
+ libcap-dev [linux-any],
+ libfftw3-dev,
+ libgconf2-dev,
+ libglib2.0-dev,
+ libgtk-3-dev,
+ libice-dev,
+ libjack-dev,
+ libjson-c-dev (>= 0.11),
+ liblircclient-dev,
+ libltdl-dev (>= 2.2.6a-2),
+ liborc-0.4-dev (>= 1:0.4.11),
+ libsamplerate0-dev,
+ libsndfile1-dev (>= 1.0.20),
+ libsoxr-dev (>= 0.1.1),
+ libspeexdsp-dev (>= 1.2~rc1),
+ libssl-dev,
+ libsystemd-dev [linux-any],
+ libtdb-dev [!hurd-any],
+ libudev-dev (>= 143) [linux-any],
+ libwebrtc-audio-processing-dev (>= 0.2) [linux-any],
+ libwrap0-dev,
+ libx11-xcb-dev,
+ libxcb1-dev (>= 1.6),
+ libxtst-dev
+Description: Remote Desktop Protocol (RDP) server - PulseAudio module installer
+ xrdp offers a graphical login to a remote client using
+ RDP (the Remote Desktop Protocol). xrdp can connect to
+ a locally created X.org session with the xorgxrdp drivers,
+ to a VNC X11 server, and forward to another RDP server.
+ .
+ This package contains a utility to build the PulseAudio modules
+ needed to use the RDP sound channel from the X session, and the code
+ of the modules the script uses for the build.

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,7 @@
 	    --enable-rfxcodec \
 	    --enable-opus \
 	    --enable-painter \
+	    --enable-vsock \
 	    ${CONFIGURE_ARGS}
 	cd xorgxrdp && ./configure \
 	    ${CONFIGURE_ARGS}
@@ -91,8 +92,8 @@
 override_dh_installinit:
 	dh_installinit --no-restart-on-upgrade
 
-override_dh_systemd_start:
-	dh_systemd_start --no-restart-on-upgrade
+override_dh_installsystemd:
+	dh_installsystemd --no-restart-on-upgrade
 
 override_dh_shlibdeps:
 	# That's a plugin, use appropriate warning level:

## xrdp 0.9.6

=== debian/changelog ===
xrdp (0.9.6-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dominik George <natureshadow@debian.org>  Thu, 12 Apr 2018 16:06:20 +0200

xrdp (0.9.6-1) unstable; urgency=medium

  * Salsa migration.
    + Change VCS-URLs.
    * Change team mailing list in Maintainer field.
  * New upstream release.
  * Split xorgxrdp out into separate source package.
  * Update my mail address in Uploaders.

 -- Dominik George <natureshadow@debian.org>  Sat, 31 Mar 2018 19:39:03 +0200

xrdp (0.9.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dominik George <nik@naturalnet.de>  Mon, 16 Oct 2017 10:35:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xrdp
-Maintainer: Debian Remote Maintainers <pkg-remote-team@lists.alioth.debian.org>
+Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
- Dominik George <nik@naturalnet.de>,
+ Dominik George <natureshadow@debian.org>,
  Andreas Tille <tille@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Thorsten Glaser <tg@mirbsd.de>,
@@ -24,12 +24,9 @@
  openssl,
  pkg-config,
  systemd [linux-any],
- x11-utils,
- xserver-xorg-core,
- xserver-xorg-dev,
 Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-remote/xrdp.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-remote/xrdp.git
+Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp/tree/stretch-backports
+Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git -b stretch-backports
 Homepage: http://xrdp.sourceforge.net
 
 Package: xrdp
@@ -59,24 +56,6 @@
  it provides a fully functional Linux terminal server,
  offering an X-Window desktop to the user. In the RDP
  or VNC forwarding mode, any sort of desktop can be used.
-
-Package: xorgxrdp
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- ${xdriver:Depends},
-Recommends:
- xorg,
-Provides:
- xorg-driver-input,
- xorg-driver-video,
-Description: Remote Desktop Protocol (RDP) modules for X.org
- xorgxrdp is a set of drivers (screen device, keyboard, and mouse)
- for X.org enabling use through an RDP session with xrdp. For full
- operation, most standard X11 fonts and tools need to be installed;
- the Recommended xorg metapackage is a superset of what’s actually
- needed but will do.
 
 Package: xrdp-pulseaudio-installer
 Architecture: any

## xrdp 0.9.8

=== debian/changelog ===
xrdp (0.9.8-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dominik George <natureshadow@debian.org>  Thu, 27 Sep 2018 10:41:18 +0200

xrdp (0.9.8-2) unstable; urgency=medium

  * Bring back pulse module path patch.

 -- Dominik George <natureshadow@debian.org>  Thu, 27 Sep 2018 10:34:12 +0200

xrdp (0.9.8-1) unstable; urgency=medium

  * New upstream version. (Closes: #885029)
    + Heads up: This disables TLSv1 and TLSv1.1 by default!
    + PulseAudio modules are not part of this source anymore. (Closes: #902004)
  * Bump Standards-Version to 4.2.1.
    + No changes required.
  * Refresh patches.
  * Update copyright.
    + Remove xorg/* files as x11rdp was removed from sources.
    + Remove sesman/chansrv/pulse/* as it was removed from the sources.
    + Add minor new instfiles.

 -- Dominik George <natureshadow@debian.org>  Wed, 26 Sep 2018 21:58:17 +0200

=== debian/control ===
Source: xrdp
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
 Andreas Tille <tille@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Thorsten Glaser <tg@mirbsd.de>,
Section: net
Priority: optional
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1.6),
 debhelper (>= 11~),
 libfuse-dev [!hurd-any],
 libjpeg-dev,
 libopus-dev,
 libpam0g-dev,
 libssl-dev,
 libtool,
 libx11-dev,
 libxfixes-dev,
 libxrandr-dev,
 nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
 openssl,
 pkg-config,
 systemd [linux-any],
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp/tree/stretch-backports
Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git -b stretch-backports
Homepage: http://xrdp.sourceforge.net

Package: xrdp
Architecture: any
Depends:
 adduser,
 lsb-base (>= 3.0-6),
 ssl-cert,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fuse [!hurd-any],
 xorgxrdp,
Suggests:
 guacamole,
 xrdp-pulseaudio-installer
Description: Remote Desktop Protocol (RDP) server
 xrdp offers a graphical login to a remote client using
 RDP (the Remote Desktop Protocol). xrdp can connect to
 a locally created X.org session with the xorgxrdp drivers,
 to a VNC X11 server, and forward to another RDP server.
 .
 xrdp accepts connections from freerdp, rdesktop, and the
 built-in terminal server / remote desktop clients of
 Microsoft Windows operating systems.
 In the xorgxrdp (which replaces X11RDP) and VNC modes,
 it provides a fully functional Linux terminal server,
 offering an X-Window desktop to the user. In the RDP
 or VNC forwarding mode, any sort of desktop can be used.

## xrdp 0.9.9

=== debian/changelog ===
xrdp (0.9.9-1) unstable; urgency=medium

  [ Thorsten Glaser ]
  * Fix errorlevel returned by init script in case of errors.
  * Correct asymmetry in init script try-restart message verbosity.

  [ Dominik George ]
  * New upstream version.
    + Adds Spanish Latina American keymap. (Closes: #911902)
  * Refresh patches.

 -- Dominik George <natureshadow@debian.org>  Sun, 13 Jan 2019 13:49:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,6 @@
 
 override_dh_auto_configure:
 	./bootstrap
-	cd xorgxrdp && ./bootstrap
 	cd librfxcodec && ./bootstrap
 	cd libpainter && ./bootstrap
 	./configure \
@@ -53,8 +52,6 @@
 	    --enable-opus \
 	    --enable-painter \
 	    --enable-vsock \
-	    ${CONFIGURE_ARGS}
-	cd xorgxrdp && ./configure \
 	    ${CONFIGURE_ARGS}
 	cd librfxcodec && ./configure \
 	    --disable-shared \
@@ -80,10 +77,6 @@
 	find debian/xrdp/ -name \*.la -print0 | xargs -0 rm -f --
 	find debian/xrdp/usr/lib/ -name \*.a -print0 | \
 	    xargs -0 strip --strip-debug -R .comment --
-	# package split
-	mkdir -p debian/xorgxrdp/etc debian/xorgxrdp/usr/lib
-	mv debian/xrdp/etc/X11 debian/xorgxrdp/etc/
-	mv debian/xrdp/usr/lib/xorg debian/xorgxrdp/usr/lib/
 
 override_dh_installchangelogs:
 	dh_installchangelogs -pxrdp -- NEWS.md
@@ -94,20 +87,3 @@
 
 override_dh_installsystemd:
 	dh_installsystemd --no-restart-on-upgrade
-
-override_dh_shlibdeps:
-	# That's a plugin, use appropriate warning level:
-	dh_shlibdeps -pxorgxrdp -- --warnings=6
-	# Use default levels for everything else:
-	dh_shlibdeps --remaining-packages
-
-override_dh_gencontrol:
-	echo >>debian/xorgxrdp.substvars "xdriver:Depends=$$( \
-	    (cd /usr/share/xserver-xorg && cat videodrvdep xinputdep) | \
-	    sed 's/, /\n/g' | sort -u | \
-	    perl -0e 'print join(", ", split(/\n/, <>));')"
-	dh_gencontrol
-
-override_dh_clean:
-	dh_clean
-	chmod +x xorgxrdp/tests/xorg-test-run.sh

## xrdp 0.9.12

=== tests/memtest/Makefile ===

OBJS = libmem.o memtest.o

#CFLAGS = -O2 -Wall
CFLAGS = -g

all: memtest

memtest: $(OBJS)
	$(CC) -o memtest $(OBJS)

clean:
	rm -f $(OBJS) librdp.a

=== debian/changelog ===
xrdp (0.9.12-1) unstable; urgency=low

  * Update Homepage link
  * New upstream version (Closes: #925890)
  * Bump Policy & debhelper; update build system
  * Address lintian’s concerns, update lintian overrides
  * d/p/document-certs.diff: Address #860890 with documentation
  * d/xrdp.init: redirect xrdp stdout into nirvana (Closes: #883358)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 11 Jan 2020 02:40:04 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends:
  autoconf (>= 2.59),
  automake (>= 1.6),
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libfuse-dev [!hurd-any],
  libjpeg-dev,
  libopus-dev,
@@ -24,13 +24,15 @@
  openssl,
  pkg-config,
  systemd [linux-any],
-Standards-Version: 4.2.1
-Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp/tree/stretch-backports
-Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git -b stretch-backports
-Homepage: http://xrdp.sourceforge.net
+Homepage: http://www.xrdp.org/
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
+Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git
 
 Package: xrdp
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  adduser,
  lsb-base (>= 3.0-6),

=== debian/watch ===
version=4
https://github.com/neutrinolabs/@PACKAGE@/releases .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## xrdp 0.9.15

=== debian/changelog ===
xrdp (0.9.15-1ubuntu1) impish; urgency=medium

  * debian/patches/known-arch-list.diff: fix build failure on ppc64el
    and s390x due to unknown arch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Sep 2021 10:29:28 -0700

xrdp (0.9.15-1) unstable; urgency=medium

  [ Thorsten Glaser ]
  * Do not source /etc/profile twice in startwm.sh
  * Drop xrdp-pulseaudio-installer (defunct) from Suggests
  * README.Debian: Link current pulseaudio-module-xrdp instructions
  * d/p/pulse-debian.patch: Update comment w.r.t. the above

  [ Dominik George ]
  * New upstream release.
  * Bump Standards-Version.
    + No changes needed.
  * Refresh patches.
  * Add new files to d/copyright.

 -- Dominik George <natureshadow@debian.org>  Mon, 01 Mar 2021 22:27:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: xrdp
-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Dominik George <natureshadow@debian.org>,
  Andreas Tille <tille@debian.org>,
@@ -25,7 +26,7 @@
  pkg-config,
  systemd [linux-any],
 Homepage: http://www.xrdp.org/
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
 Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git
@@ -44,7 +45,6 @@
  xorgxrdp,
 Suggests:
  guacamole,
- xrdp-pulseaudio-installer
 Description: Remote Desktop Protocol (RDP) server
  xrdp offers a graphical login to a remote client using
  RDP (the Remote Desktop Protocol). xrdp can connect to

## xrdp 0.9.17

=== debian/changelog ===
xrdp (0.9.17-2ubuntu3) jammy; urgency=medium

  * d/p/lp-1960174-Add-and-build-forgotten-rfb_c-to-fix-loading-of-libvnc_so.patch
    Add missing vnc/rfb.c in source code (LP: #1960174)

 -- Joao Andre Simioni <joao.simioni@canonical.com>  Mon, 10 Mar 2025 01:00:59 -0300

xrdp (0.9.17-2ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:38:50 +0000

xrdp (0.9.17-2ubuntu1) jammy; urgency=medium

  * d/rules: add -Wno-error=deprecated-declarations to fix the build
    against OpenSSL 3.0

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 07 Dec 2021 16:38:25 +0100

xrdp (0.9.17-2build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 12:27:14 +0100

xrdp (0.9.17-2) unstable; urgency=medium

  * Initialise the environment properly (Closes: #996418, #984782)
    (LP#1911435)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 28 Oct 2021 18:37:04 +0200

xrdp (0.9.17-1) unstable; urgency=medium

  * New upstream release. (Closes: #983843, #970380)
    + Refresh patches.
    + Build-dep on check for unit tests.
    + Update d/copyright.
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Do not rm_conffile /etc/pam.d/xrdp-sesman.

 -- Dominik George <natureshadow@debian.org>  Wed, 29 Sep 2021 11:45:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,28 @@
 #!/usr/bin/make -f
 
-DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
-DEB_BUILD_MAINT_OPTIONS=hardening=+all
+ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
+export DH_VERBOSE=1
+export V=1
+export VERBOSE=1
+endif
 
+LC_ALL:=C.UTF-8
+export LC_ALL
+
+shellescape='$(subst ','\'',$(1))'
+shellexport=$(1)=$(call shellescape,${$(1)})
+
+OUR_CPPFLAGS:= -Wno-error=deprecated-declarations
+OUR_CFLAGS:=
+OUR_LDFLAGS:=		-Wl,--as-needed
+
+include /usr/share/dpkg/buildtools.mk
+
+dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
+export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
+export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
+export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
+export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
 DPKG_EXPORT_BUILDFLAGS:=1
 include /usr/share/dpkg/default.mk
 
@@ -21,7 +41,7 @@
 			--libexecdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH} \
 			--disable-maintainer-mode \
 			--disable-dependency-tracking \
-			--with-socketdir=/var/run/xrdp/sockdir
+			--with-socketdir=/run/xrdp/sockdir
 
 ifneq (${DEB_BUILD_GNU_TYPE},${DEB_HOST_GNU_TYPE})
 CONFIGURE_ARGS+=	--host=${DEB_HOST_GNU_TYPE}
@@ -83,7 +103,7 @@
 	dh_installchangelogs --remaining-packages
 
 override_dh_installinit:
-	dh_installinit --no-restart-on-upgrade
+	dh_installinit --no-stop-on-upgrade
 
 override_dh_installsystemd:
-	dh_installsystemd --no-restart-on-upgrade
+	dh_installsystemd --no-stop-on-upgrade

## xrdp 0.9.19

=== debian/changelog ===
xrdp (0.9.19-1) unstable; urgency=medium

  * New upstream version.
  * Acknowledge NMUs - thanks to arnaudr and carnil!
  * Drop patch for CVE-2022-23613; included upstream.
  * Refresh patches.
  * Also source ~/.profile in startwm; thanks to Raphaël Halimi
    (Closes: #1005159)
  * Install logrotate configuration; thanks to Evan Linde (Closes: #990806)
  * Update d/copyright.

 -- Dominik George <natureshadow@debian.org>  Fri, 01 Apr 2022 12:08:42 +0200

xrdp (0.9.17-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import upstream patch to fix CVE-2022-23613 (Closes: #1005304)

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 01 Apr 2022 09:34:47 +0700

xrdp (0.9.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * xrdp-sesman can be crashed remotely over port 3350 (CVE-2020-4044)
    (Closes: #964573)
  * Fixed CVE-2020-4044 CI errors

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 Jul 2020 17:11:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: xrdp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Dominik George <natureshadow@debian.org>,
- Andreas Tille <tille@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Thorsten Glaser <tg@mirbsd.de>,
 Section: net
@@ -11,6 +9,7 @@
 Build-Depends:
  autoconf (>= 2.59),
  automake (>= 1.6),
+ check,
  debhelper-compat (= 12),
  libfuse-dev [!hurd-any],
  libjpeg-dev,
@@ -26,7 +25,7 @@
  pkg-config,
  systemd [linux-any],
 Homepage: http://www.xrdp.org/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
 Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git

## xrdp 0.9.21.1

=== debian/changelog ===
xrdp (0.9.21.1-1) unstable; urgency=medium

  * New upstream version. (Closes: #1025879)
    + Refresh patches.
    + Refresh d/copyright.
  * Bump Standards-Version to 4.6.2; no changes needed.

 -- Dominik George <natureshadow@debian.org>  Tue, 20 Dec 2022 11:09:50 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  pkg-config,
  systemd [linux-any],
 Homepage: http://www.xrdp.org/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
 Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git

## xrdp 0.9.24

=== tools/devel/gtcp_proxy/Makefile ===

# := evaluates the expression just once
# = evaluates the expression each time it is used

CFLAGS := $(shell pkg-config --cflags gtk+-2.0)
CFLAGS += -O2 -Wall
#LDFLAGS = -Wl
LIBS := $(shell pkg-config --libs gtk+-2.0)
LIBS += -ldl -lgthread-2.0

OBJS = gtcp-proxy.o gtcp.o

all: gtcp-proxy

gtcp-proxy: $(OBJS)
	gcc -Wall $(CFLAGS) $(LDFLAGS) gtcp-proxy.c gtcp.o -o gtcp-proxy $(LIBS)

gtcp.o: gtcp.c
	gcc -c gtcp.c
clean::
	-rm gtcp-proxy.o gtcp.o gtcp-proxy

=== debian/changelog ===
xrdp (0.9.24-4) unstable; urgency=medium

  [ Alex Myczko ]
  * Update my name.
  * d/control: build-depends pkg-config to pkgconf.
  * Bump standards version to 4.7.0.

  [ Arnaud Rebillout ]
  * d/control: add pipewire-module-xrdp to recommends.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Apr 2024 06:28:43 +0200

xrdp (0.9.24-3) unstable; urgency=medium

  * Added d/xrdp-colord.rules. (Closes: #907878)
  * Updated d/README.Debian.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Feb 2024 22:46:01 +0100

xrdp (0.9.24-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Thu, 25 Jan 2024 15:16:20 +0100

xrdp (0.9.24-1) experimental; urgency=medium

  * New upstream version. (Closes: #1053284, #1051061)
    (CVE-2023-42822 and CVE-2023-40184)
  * d/clean: added.
  * d/control: replace lsb-base with sysvinit-utils,
    add myself to Uploaders.
  * Thanks for the better d/watch file patch. (Closes: #1036056)
  * Add myself to Uploaders.
  * d/README.Debian, add information about #907878.

 -- Gürkan Myczko <tar@debian.org>  Tue, 02 Jan 2024 23:13:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  Dominik George <natureshadow@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Thorsten Glaser <tg@mirbsd.de>,
+ Alex Myczko <tar@debian.org>,
 Section: net
 Priority: optional
 Build-Depends:
@@ -22,10 +23,10 @@
  libxrandr-dev,
  nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
  openssl,
- pkg-config,
+ pkgconf,
  systemd [linux-any],
 Homepage: http://www.xrdp.org/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
 Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git
@@ -35,12 +36,13 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  adduser,
- lsb-base (>= 3.0-6),
+ sysvinit-utils (>= 3.06-4),
  ssl-cert,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  fuse [!hurd-any],
+ pipewire-module-xrdp,
  xorgxrdp,
 Suggests:
  guacamole,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 shellescape='$(subst ','\'',$(1))'
 shellexport=$(1)=$(call shellescape,${$(1)})
 
-OUR_CPPFLAGS:= -Wno-error=deprecated-declarations
+OUR_CPPFLAGS:=
 OUR_CFLAGS:=
 OUR_LDFLAGS:=		-Wl,--as-needed

=== debian/watch ===
version=4
https://github.com/neutrinolabs/@PACKAGE@/releases .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
             https://github.com/neutrinolabs/@PACKAGE@/tags \
             (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## xrdp 0.9.27

=== debian/changelog ===
xrdp (0.9.27-0kali1) kali-dev; urgency=medium

  * New upstream version 0.9.27
  * Adjust patches

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 12 Feb 2026 14:59:13 +0700

xrdp (0.9.24-5) unstable; urgency=medium

  * d/control: switch Build-Depends to systemd-dev.

 -- Alex Myczko <tar@debian.org>  Thu, 16 May 2024 12:42:26 +0000

## xrdp 0.10.0

=== debian/changelog ===
xrdp (0.10.0-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: update Homepage field to https://.
  * Cherry pick dvorak fix from upstream. (Closes: #1071556)
  * d/README.Debian: add link for settings.
  * Applied patch for d/watch and signature key. (Closes: #1043488)

 -- Alex Myczko <tar@debian.org>  Mon, 22 Jul 2024 16:24:24 +0000

xrdp (0.10.0-1) experimental; urgency=medium

  * New upstream version.
  * d/control: build-depends pkg-config to pkgconf.
  * d/copyright: updated.

 -- Alex Myczko <tar@debian.org>  Mon, 13 May 2024 11:26:44 +0200

xrdp (0.10.0~beta2-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Thu, 28 Mar 2024 05:31:28 +0100

xrdp (0.10.0~beta1-2) experimental; urgency=medium

  * d/control: add libcmocka-dev to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 11 Mar 2024 12:16:15 +0100

xrdp (0.10.0~beta1-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Mon, 11 Mar 2024 09:37:45 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  debhelper-compat (= 12),
  libfuse-dev [!hurd-any],
  libjpeg-dev,
+ libcmocka-dev,
  libopus-dev,
  libpam0g-dev,
  libssl-dev,
@@ -25,7 +26,7 @@
  openssl,
  pkgconf,
  systemd [linux-any],
-Homepage: http://www.xrdp.org/
+Homepage: https://www.xrdp.org/
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
@@ -42,7 +43,6 @@
  ${shlibs:Depends},
 Recommends:
  fuse [!hurd-any],
- pipewire-module-xrdp,
  xorgxrdp,
 Suggests:
  guacamole,
